.ProcessProgress__wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  overflow: hidden;
}

.ProcessProgress__wrapper {
  margin-top: 20px;
  font-family: "CerealBold";
  text-align: center;
}

.ProcessProgress {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  position: relative;
  margin: 70px 0px;
}

.ProgressBox {
  flex: 1;
  margin: 0px 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  cursor: pointer;
  opacity: 0;
  transition: all 1s ease-in;
}

.ProcessProgressComponent__animation {
  animation: slide-in-fwd-bottom 0.4s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
  opacity: 1;
}

@keyframes slide-in-fwd-bottom {
  0% {
    transform: translateZ(-1400px) translateY(800px);
    opacity: 0;
  }
  100% {
    transform: translateZ(0) translateY(0);
    opacity: 1;
  }
}

.ProgressBox__number {
  left: 50%;
  top: 0;
  position: absolute;
  color: #b0a8b9;
  font-family: "CerealBold";
  font-size: 100px;
  line-height: 1em;
  opacity: 0.2;
  transform: translateX(-50%);
  transition: top 0.4s ease;
}

.ProgressBox.active .ProgressBox__number {
  top: -60px;
}

.ProgressBox__title {
  font-size: 18px;
  line-height: 24px;
  transition: color 0.4s ease;
  color: #b0a8b9;
  text-align: center;
}

.ProgressBox.active .ProgressBox__title {
  color: #4b4453;
  font-family: "CerealBold";
}

.ProgressBox__description {
  margin-top: 10px;
  color: #b0a8b9;
  font-size: 14px;
  line-height: 24px;
  transition: opacity 0.4s ease;
  opacity: 0;
  text-align: center;
}

.ProgressBox.active .ProgressBox__description {
  opacity: 1;
}

.ProgressBox__circle-box {
  width: 114px;
  height: 114px;
  position: relative;
  margin: 0 auto;
}

.ProgressBox__circle {
  position: absolute;
}

.circle-1 {
  width: 114px;
  height: 114px;
  top: 0;
  left: 0;
  border: 1px solid #b0a8b9;
  border-radius: 100px;
  opacity: 0.2;
  transform: scale(0);
  transition: transform 0.4s ease;
}

.circle-2 {
  width: 84px;
  height: 84px;
  left: 15px;
  position: absolute;
  top: 15px;
  border: 1px solid #b0a8b9;
  border-radius: 100px;
  opacity: 0.5;
  transform: scale(0);
  transition: transform 0.4s ease;
}

.circle-3 {
  width: 54px;
  height: 54px;
  left: 30px;
  position: absolute;
  top: 30px;
  border: 1px solid #b0a8b9;
  border-radius: 100px;
  opacity: 0.8;
  transform: scale(0);
  transition: transform 0.4s ease;
}

.circle-4 {
  width: 26px;
  height: 26px;
  left: 44px;
  position: absolute;
  top: 44px;
  background-color: #00c0a3;
  border: 6px solid #00c0a3;
  border-radius: 100px;
  transform: scale(0);
}

.circle-5 {
  width: 26px;
  height: 26px;
  left: 44px;
  position: absolute;
  top: 44px;
  background-color: #00c0a3;
  border: 6px solid #00c0a3;
  border-radius: 100px;
  transform: scale(0.5);
}

.circle-6 {
  width: 14px;
  height: 14px;
  left: 50px;
  position: absolute;
  top: 50px;
  background-color: #fff;
  border-radius: 100px;
  transform: scale(0);
  transition: transform 0.2s ease;
}

.ProgressBox.active .ProgressBox__circle {
  transform: scale(1);
}

.ProcessProgress__bar {
  top: 57px;
  left: 12%;
  right: 12%;
  position: absolute;
  height: 1px;
  z-index: -1;
}

.ProcessProgress__bar-outer {
  height: 1px;
  background-color: #b0a8b9;
}

.ProcessProgress__bar-inner {
  width: 0;
  height: 1px;
  top: 0;
  left: 0;
  position: absolute;
  background-color: #00c0a3;
  transition: width 0.4s ease;
}

@media screen and (max-width: 700px) {
  .ProcessProgress {
    flex-direction: column;
    align-items: center;
  }

  .ProgressBox {
    width: 100%;
    max-width: 250px;
  }

  .ProcessProgress__bar {
    top: 6%;
    bottom: 18%;
    left: 50%;
    position: absolute;
    width: 1px;
    z-index: -1;
    transform: translateX(-50%);
    height: initial;
  }

  .ProcessProgress__bar-outer {
    height: 100%;
  }

  .ProcessProgress__bar-inner,
  .ProcessProgress__bar-outer {
    width: 1px;
  }
}
